al_get_pixel(3)

NAME

al_get_pixel - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_COLOR al_get_pixel(ALLEGRO_BITMAP *bitmap, int x, int y)

DESCRIPTION

Get a pixel's color value from the specified bitmap. This operation is slow on non-memory bitmaps. Consider locking the bitmap if you are going to use this function multiple times on the same bitmap.

SEE ALSO

ALLEGRO_COLOR(3), al_put_pixel(3), al_lock_bitmap(3)